Subject: bug#18051: closed (Re: bug#18051: [Emacs-diffs] trunk r117726: Add string collation.)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 18 Oct 2014 05:39:02 +0000

Your bug report

#18051: 24.3.92; ls-lisp: Sorting; make ls-lisp-string-lessp a normal function?

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
18051: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=18051
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#18051: [Emacs-diffs] trunk r117726: Add string collation.
From: Eli Zaretskii <[email-masked]>
To: [email-masked]
Cc: [email-masked], [email-masked]
Date: Sat, 18 Oct 2014 08:38:31 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Michael Heerdegen <[email-masked]>
> Cc: [email-masked],  Michael Albinus <[email-masked]>
> Date: Fri, 17 Oct 2014 22:26:32 +0200
> 
> If I remember correctly, I saw just one tiny inconsistency: with the new
> ls-lisp -v switch the sorting position of a backup file named foo~ was
> different from ls -v when also numbered backup files foo~n~ of the same
> file existed.

Is that on Windows or on Unix?

On Windows, this is expected, as only an approximation to the Unicode
Collation Algorithm is available there.

On GNU/Linux, it would be strange, since 'ls' uses the same functions
as Emacs now does in ls-lisp.

> For string collation and locales, I must say that I'm no expert at that
> field and don't really know what tests could be useful for testing.  I
> can only say that everything seems to be ok with the locales I am using.

That's good enough for me, so I'm closing the bug.

Thanks.

Subject: 24.3.92; ls-lisp: Sorting; make ls-lisp-string-lessp a normal function?
From: Michael Heerdegen <[email-masked]>
To: [email-masked]
Date: Fri, 18 Jul 2014 08:22:43 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

Some users will want to configure the sorting predicate used by ls-lisp,
for example, to get a natural sorting of version numbers, or to sort in
files whose names start with a dot as if they had no dot, etc.

Currently, sorting is even hardcoded because `ls-lisp-string-lessp' is a
defsubst.  If it was a normal function, one could advice it.

Or, with some more efforts, sorting order could be made configurable via
options, and the -v switch could be implemented.

Regards,

Michael.

In GNU Emacs 24.3.92.1 (x86_64-unknown-linux-gnu, GTK+ Version 3.12.2)
 of 2014-07-17 on drachen
Windowing system distributor `The X.Org Foundation', version 11.0.11599904
System Description:	Debian GNU/Linux testing (jessie)